//+------------------------------------------------------------------+
// _TRO_FibProj_W
//+------------------------------------------------------------------+


#property indicator_chart_window 

#property indicator_minimum 0
#property indicator_maximum 1

#property indicator_buffers 2

//---- For the small screens
//extern string    Display_infos         = "=== If true, displayed on the chart ===";
//extern bool      display_on_chart      =  true ;  // If true, the open trade analysis, daily pivots and daily range will be displayed on the chart window

extern int myChartY = 300 ;

// indicators parameters


//---- buffers
int myPeriod = PERIOD_W1;

int TimeZone=0;
bool pivots = true;
bool alert = true;

double yesterday_high=0;
double yesterday_open=0;
double yesterday_low=0;
double yesterday_close=0;
double today_open=0;
double today_high=0;
double today_low=0;


double rates_h1[2][6];
double rates_d1[2][6];

double Q,H,L,F;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- name for indicator window

   string short_name=" ";
   IndicatorShortName(short_name);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   
   ObjectDelete("pivotsw");
   ObjectDelete("line5w");
   ObjectDelete("R3w_Label");
   ObjectDelete("R3w_Value");
   ObjectDelete("R2w_Label");
   ObjectDelete("R2w_Value");
   ObjectDelete("R1w_Label");
   ObjectDelete("R1w_Value");
   ObjectDelete("Pivotw_Label");
   ObjectDelete("Pivotw_Value");
   ObjectDelete("S1w_Label");
   ObjectDelete("S1w_Value");
   ObjectDelete("S2w_Label");
   ObjectDelete("S2w_Value");
   ObjectDelete("S3w_Label");
   ObjectDelete("S3w_Value");

   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

  int j,total=OrdersTotal();
   for(j=0;j<total;j++)
   {
    OrderSelect(j, SELECT_BY_POS, MODE_TRADES);
   }
   
   color color_common_line = White;
   color color_common_text = White;
   color color_ind = PowderBlue;
   color color_indic;
   color color_pivots_1=DodgerBlue;
   double x;
   


   int dayi = iBarShift(Symbol(), myPeriod, Time[0], false);
 
   double yesterday_high  = iHigh(Symbol(), myPeriod,dayi + 1);
   double yesterday_low   = iLow(Symbol(), myPeriod,dayi + 1);
   double yesterday_close = iClose(Symbol(), myPeriod,dayi + 1);
   double day_high        = iHigh(Symbol(), myPeriod,dayi);
   double day_low         = iLow(Symbol(), myPeriod,dayi );
   double day_close       = iClose(Symbol(), myPeriod,dayi ); 

	double xRange = (yesterday_high - yesterday_low) ;
		
	double R3 = yesterday_high+(xRange *0.618) ; 	// fib PR2 .618	
   double R2 = yesterday_high+(xRange *0.382) ; 	// fib PR1 .382
   double R1 = yesterday_high ;	// high 1.00
   double P =  yesterday_low + (xRange * 0.50 ) ; // fib .50	
   double S1 = yesterday_low ; // low 0.00	
   double S2 = yesterday_low - (xRange * 0.382 ) ; // fib 382	
	double S3 = yesterday_low - (xRange * 0.618 ) ; // fib 618
	
   color color_r3=Red;
   color color_r2=Red;
   color color_r1=Red;
   color color_p =Red;
   color color_s1=Red;
   color color_s2=Red;
   color color_s3=Red;  
   	
	if( day_close < R3) { color_r3=Lime; } 
	if( day_close < R2) { color_r2=Lime; } 	
	if( day_close < R1) { color_r1=Lime; } 
	if( day_close < P ) { color_p=Lime; } 
	if( day_close < S1) { color_s1=Lime; } 	
	if( day_close < S2) { color_s2=Lime; }		
	if( day_close < S3) { color_s3=Lime; }		
		
	int Precision, dig;	

   if( StringFind( Symbol(), "JPY", 0) != -1 ) { Precision = 100; dig = 2;}
   else                                        { Precision = 10000; dig = 4; }
   	
//---- Set Pivots labels

   int WindowToUse;
   int Corner_line, Xdist_line;
   int Corner_text, Corner_value, Xdist_text, Xdist_value;
   int Ydist_line5;
   int Corner_pivots, Xdist_pivots, Ydist_pivots ;
   int Ydist_R3, Ydist_R2, Ydist_R1, Ydist_PV, Ydist_S1, Ydist_S2, Ydist_S3;
  
   int YdistInc ;
    WindowToUse =  0;
    Corner_line = 1;
    Corner_text = 1; Corner_value = 1;
    Xdist_line = 21; Xdist_text = 93; Xdist_value = 23;
    Corner_pivots = 1; Xdist_pivots = 21; 
    Ydist_pivots = myChartY;  
    Ydist_line5 = Ydist_pivots + 11; YdistInc = 15 ;
    Ydist_R3 = Ydist_pivots + 25; 
    Ydist_R2 = Ydist_R3 + YdistInc; 
    Ydist_R1 = Ydist_R3 + YdistInc*2; 
    Ydist_PV = Ydist_R3 + YdistInc*3; 
    Ydist_S1 = Ydist_R3 + YdistInc*4; 
    Ydist_S2 = Ydist_R3 + YdistInc*5; 
    Ydist_S3 = Ydist_R3 + YdistInc*6;

   ObjectCreate("pivotsw", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("pivotsw","+W Fib Proj+",9, "Verdana", color_pivots_1);
   ObjectSet("pivotsw", OBJPROP_CORNER, Corner_pivots);
   ObjectSet("pivotsw", OBJPROP_XDISTANCE, Xdist_pivots);
   ObjectSet("pivotsw", OBJPROP_YDISTANCE, Ydist_pivots);
   
   ObjectCreate("line5w", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("line5w","------------------",7, "Verdana", color_pivots_1);
   ObjectSet("line5w", OBJPROP_CORNER, Corner_line);
   ObjectSet("line5w", OBJPROP_XDISTANCE, Xdist_line);
   ObjectSet("line5w", OBJPROP_YDISTANCE, Ydist_line5);
   
   ObjectCreate("R3w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R3w_Label","+618",9, "Verdana", Gainsboro);
   ObjectSet("R3w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("R3w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("R3w_Label", OBJPROP_YDISTANCE, Ydist_R3);
   
   ObjectCreate("R3w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R3w_Value"," "+DoubleToStr(R3,dig),9, "Verdana", color_r3);
   ObjectSet("R3w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("R3w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("R3w_Value", OBJPROP_YDISTANCE, Ydist_R3);
   
   ObjectCreate("R2w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R2w_Label","+382",9, "Verdana", Silver);
   ObjectSet("R2w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("R2w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("R2w_Label", OBJPROP_YDISTANCE, Ydist_R2);
   
   ObjectCreate("R2w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R2w_Value"," "+DoubleToStr(R2,dig),9, "Verdana", color_r2);
   ObjectSet("R2w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("R2w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("R2w_Value", OBJPROP_YDISTANCE, Ydist_R2);
   
   ObjectCreate("R1w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R1w_Label","High",9, "Verdana", DarkGray);
   ObjectSet("R1w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("R1w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("R1w_Label", OBJPROP_YDISTANCE, Ydist_R1);
   
   ObjectCreate("R1w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("R1w_Value"," "+DoubleToStr(R1,dig),9, "Verdana", color_r1);
   ObjectSet("R1w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("R1w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("R1w_Value", OBJPROP_YDISTANCE, Ydist_R1);
   
   ObjectCreate("Pivotw_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("Pivotw_Label","Mid",9, "Verdana", Gray);
   ObjectSet("Pivotw_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("Pivotw_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("Pivotw_Label", OBJPROP_YDISTANCE, Ydist_PV);
   
   ObjectCreate("Pivotw_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("Pivotw_Value"," "+DoubleToStr(P,dig),9, "Verdana", color_p);
   ObjectSet("Pivotw_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("Pivotw_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("Pivotw_Value", OBJPROP_YDISTANCE, Ydist_PV);
   
   ObjectCreate("S1w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S1w_Label","Low",9, "Verdana", DarkGray);
   ObjectSet("S1w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("S1w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("S1w_Label", OBJPROP_YDISTANCE, Ydist_S1);
   
   ObjectCreate("S1w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S1w_Value"," "+DoubleToStr(S1,dig),9, "Verdana", color_s1);
   ObjectSet("S1w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("S1w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("S1w_Value", OBJPROP_YDISTANCE, Ydist_S1);
   
   ObjectCreate("S2w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S2w_Label","-.382",9, "Verdana", Silver);
   ObjectSet("S2w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("S2w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("S2w_Label", OBJPROP_YDISTANCE, Ydist_S2);
   
   ObjectCreate("S2w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S2w_Value"," "+DoubleToStr(S2,dig),9, "Verdana", color_s2);
   ObjectSet("S2w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("S2w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("S2w_Value", OBJPROP_YDISTANCE, Ydist_S2);
   
   ObjectCreate("S3w_Label", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S3w_Label","-.618",9, "Verdana", Gainsboro);
   ObjectSet("S3w_Label", OBJPROP_CORNER, Corner_text);
   ObjectSet("S3w_Label", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("S3w_Label", OBJPROP_YDISTANCE, Ydist_S3);
   
   ObjectCreate("S3w_Value", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("S3w_Value"," "+DoubleToStr(S3,dig),9, "Verdana", color_s3);
   ObjectSet("S3w_Value", OBJPROP_CORNER, Corner_value);
   ObjectSet("S3w_Value", OBJPROP_XDISTANCE, Xdist_value);
   ObjectSet("S3w_Value", OBJPROP_YDISTANCE, Ydist_S3);
   
   
   
   
   return(0);
  }